# Contributing Guidelines

Please make sure that all packages you commit or request to pull:
* Package a version which is still maintained by the upstream author.
* Have yourself or another person listed in the (PKG_)MAINTAINER field.
* Will be updated regularly to maintained and supported versions.
* Have no dependencies outside the openwrt core packages or this feed.
* Are "run tested" (or at least compile tested)

Please make sure that every commits you make to this repository:
* Are signed-off (see https://dev.openwrt.org/wiki/SubmittingPatches#a10.Signyourwork)
* Have a proper description (starting with <package-name>: / including <package-name>)

If you have commit access:
* Never ever git push --force on master!!!
* Do not touch other maintainer's stuff if you're not sure
* You can still use Pull Request to ask for comments

